<?xml version="1.0" encoding="UTF-8"?>
<component id="inmueble_suministros_energias_gdfl">
    <type>GRID_DETAIL_FORM_LABEL</type>
    <title>Suministros de Energia</title>
    <rows>120</rows>
    <width>900</width>
    <height>600</height>
    <pbin>gdp.exe</pbin>
    <base_path>..</base_path>
    <clase>
        
        <table>sdd_inmueble_suministro_nics</table>
        <id_field>i8_inmueble_id</id_field>
        <autoincrement>NO</autoincrement>
        <temp_id_field>NO</temp_id_field>
        <select_fields>i8_inmueble_id,i8_nis_id,i8_nic_id,i8_contrato_id,c16_medidor_id,c8_estado,ts_update,ts_in,c16_unicom,c3_facturador_id</select_fields>
        <insert_fields>i8_inmueble_id,i8_nis_id,i8_nic_id,i8_contrato_id,c16_medidor_id,c8_estado,ts_in,c16_unicom,c3_facturador_id</insert_fields>
        <update_fields>i8_nis_id,i8_nic_id,i8_contrato_id,c16_medidor_id,c8_estado,c16_unicom,c3_facturador_id</update_fields>
        <delete_fields>i8_nic_id</delete_fields>
        <needed_fields>i8_nis_id,i8_nic_id,i8_contrato_id,c3_facturador_id</needed_fields>
        <select_labels id="c3_facturador_id">
            
            <table>sdm_facturadores</table>
            <id_field>c3_facturador_id</id_field>
            <fields>v64_facturador</fields>
            <document_fields>v64_facturador</document_fields>
        </select_labels>
        <!--select_labels id="i8_nis_id">
            
            <table>sdd_inmueble_suministros_energias</table>
            <id_field>i8_inmueble_id</id_field>
            <fields>i8_nis_id</fields>
            <document_fields>i8_nis_id</document_fields>
        </select_labels-->
        <order_by>1</order_by>
        <direction>asc</direction>
        <limit>10</limit>
        <offset>0</offset>                
        <associations>NO</associations>
    </clase>
    <elements>NO</elements>
    <grid>
        <columns>i8_nis_id,i8_nic_id,i8_contrato_id,c16_unicom,c16_medidor_id,c8_estado,c3_facturador_id,ts_in,ts_update</columns>
        <column id="i8_nis_id">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>NIS</header>
                <width>8</width>
            </properties>
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="i8_nic_id">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>NIC</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="i8_contrato_id">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>CONTRATO</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="c16_medidor_id">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>MEDIDOR</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="c16_unicom">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>UNICOM</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="c8_estado">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>ESTADO</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="c3_facturador_id">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>FACTURADOR</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="ts_in">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>INGRESADO</header>
                <width>10</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="ts_update">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>ACTUALIZADO</header>
                <width>64</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="counter">
            <properties>
                <type>link</type>
                <data>text</data>
                <header>No.</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <counter>ON</counter>
        <delete>ON</delete>
        <tdheader_style>text-align:center</tdheader_style>
        <tdbody_style>text-align:left;vertical-align:center</tdbody_style>
    </grid>
</component>